2019-12-14 00:20 EST


View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002066FSSCPmodelspublic2009-12-14 00:27
Reporterportej05 
Assigned ToGoober5000 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product Version3.6.11 
Target VersionFixed in Version3.6.11 
Summary0002066: Unknown Error from SEXP system
DescriptionFrom the BP2 intro movie (which works fine in Antipodes 0000004 - ~trunk 5686)

Unknown error.

In sexpression: ( when
   ( true )
   ( set-camera-position 1011 361 17394 )
   ( set-camera-target
      "Nelson"
      "Fighterbay"
   )
)
(Error appears to be: Fighterbay)
ntdll.dll! ZwWaitForSingleObject + 21 bytes
kernel32.dll! WaitForSingleObjectEx + 67 bytes
kernel32.dll! WaitForSingleObject + 18 bytes
fs2_open_3_6_11d.exe! SCP_DumpStack + 294 bytes
fs2_open_3_6_11d.exe! Error + 229 bytes
fs2_open_3_6_11d.exe! post_process_mission + 1577 bytes
fs2_open_3_6_11d.exe! parse_mission + 1531 bytes
fs2_open_3_6_11d.exe! parse_main + 449 bytes
fs2_open_3_6_11d.exe! mission_load + 215 bytes
fs2_open_3_6_11d.exe! game_start_mission + 189 bytes
fs2_open_3_6_11d.exe! game_enter_state + 482 bytes
fs2_open_3_6_11d.exe! gameseq_set_state + 310 bytes
fs2_open_3_6_11d.exe! game_process_event + 242 bytes
fs2_open_3_6_11d.exe! gameseq_process_events + 152 bytes
fs2_open_3_6_11d.exe! game_main + 745 bytes
fs2_open_3_6_11d.exe! WinMain + 330 bytes
fs2_open_3_6_11d.exe! __tmainCRTStartup + 358 bytes
fs2_open_3_6_11d.exe! WinMainCRTStartup + 15 bytes
kernel32.dll! BaseThreadInitThunk + 18 bytes
ntdll.dll! RtlInitializeExceptionChain + 99 bytes
ntdll.dll! RtlInitializeExceptionChain + 54 bytes
Additional InformationIt's pulling the UNKNOWN_ERROR value from line 1772 of sexp.cpp while checking the sexps in post_process_mission.
How it's getting there, I don't know Tongue
I haven't quite figured out how to make a much smaller case, but if I do figure out how, I'll post it here.

The ship (UEFg Karuna) has a subsystem '$Subsystem: fighterbay, 5, 0.0 ', so my first thoughts were that it's a case issue (I thought I saw some stricmp->strcmp changes, but can't find them again).
Zacam thinks these are related to Goobers subsystem changes recently, so assigned to him!
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0011415

Goober5000 (administrator)

Very strange. Can you get someone to upload a test mission?

~0011416

Goober5000 (administrator)

Never mind. Easy fix. :)
+Notes

-Issue History
Date Modified Username Field Change
2009-12-13 23:11 portej05 New Issue
2009-12-13 23:11 portej05 Status new => assigned
2009-12-13 23:11 portej05 Assigned To => Goober5000
2009-12-14 00:22 Goober5000 Note Added: 0011415
2009-12-14 00:27 Goober5000 Note Added: 0011416
2009-12-14 00:27 Goober5000 Status assigned => resolved
2009-12-14 00:27 Goober5000 Resolution open => fixed
2009-12-14 00:27 Goober5000 Fixed in Version => 3.6.11
+Issue History